function [nodePot, edgePot] = IsingtoUGM(nodeMagneticField, edgeInteraction)
nodePot = [exp(-nodeMagneticField) exp(nodeMagneticField)];

edgePot = zeros(2,2,size(edgeInteraction,2));
for e = 1:size(edgeInteraction, 2)
    edgePot(:,:,e) = [exp(edgeInteraction(1,e)) exp(-edgeInteraction(1,e));
                      exp(-edgeInteraction(1,e)) exp(edgeInteraction(1,e))];
end